List Faxes
curl --request GET \
--url https://api.decodahealth.com/faxes \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/faxes"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/faxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"faxContact": {
"id": "<string>",
"name": "<string>",
"faxNumber": "<string>",
"organization": "<string>",
"notes": "<string>",
"addressLineOne": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"createdByUserId": "<string>"
},
"phoneNumberId": "<string>",
"phoneNumberE164": "<string>",
"numPages": 123,
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdDate": "2023-11-07T05:31:56Z",
"readDate": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"nextCursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Faxes
List Faxes
GET
/
faxes
List Faxes
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Direction of a fax. INBOUND is defined now so inbound work later just adds rows.
Available options:
OUTBOUND, INBOUND Lifecycle status of a fax. Values mirror SignalWire's LaML fax status values.
Available options:
QUEUED, SENDING, DELIVERED, FAILED, CANCELED, NO_ANSWER, BUSY Required range:
1 <= x <= 200⌘I
